Subject: Re: bug#24620: 26.0.50; In dired: 'dired-do-compress-to' fails when filenames cotains space characters

From: Michael Albinus <[email-masked]>
Date: Thu, 27 Oct 2016 19:34:49 +0200

José L. Doménech <[email-masked]> writes:

Hi José,

> I wrote a little patch to get a workaround around dired having some
> trouble compressing files with space characters in its name (bug
> #24620).

Thanks for this!

> I am not sure if this will useful to someone. Please NOTE that I am
> using apostrophes to surround the file name's. While it works on my
> system (GNU/Linux) it could not work on other systems.

I believe it is better not to touch `dired-compress-files-alist'. Instead,
at places where "%i and %o are replaced, one shall call
`shell-quote-argument', as it is applied already in `dired-compress-file'.

> Best Regards:
> José L. Doménech

Best regards, Michael.